> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_movefunds.movefundsparams.md).

# api\_procedures\_moveFunds.MoveFundsParams

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/procedures/moveFunds](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_movefunds.md) / MoveFundsParams

## Interface: MoveFundsParams

[api/procedures/moveFunds](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_movefunds.md).MoveFundsParams

### Table of contents

#### Properties

* [items](#items)
* [to](#to)

### Properties

#### items

• **items**: [`PortfolioMovement`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.portfoliomovement.md)\[]

list of Assets (and the corresponding token amounts) that will be moved

**Defined in**

[api/procedures/moveFunds.ts:22](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/moveFunds.ts#L22)

***

#### to

• `Optional` **to**: `BigNumber` | [`NumberedPortfolio`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_numberedportfolio.numberedportfolio.md) | [`DefaultPortfolio`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_defaultportfolio.defaultportfolio.md)

portfolio (or portfolio ID) that will receive the funds. Optional, if no value is passed, the funds will be moved to the default Portfolio of this Portfolio's owner

**Defined in**

[api/procedures/moveFunds.ts:18](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/moveFunds.ts#L18)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_movefunds.movefundsparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
